diff -crB c:\mame0106s\mame0106s\src/drivers/topspeed.c c:\mingw9\mame\src/drivers/topspeed.c
*** c:\mame0106s\mame0106s\src/drivers/topspeed.c	Tue Feb 28 10:39:16 2006
--- c:\mingw9\mame\src/drivers/topspeed.c	Thu Oct 13 20:13:05 2011
***************
*** 574,593 ****
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_COIN1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW,  IPT_SERVICE1 )
  	/* Next bit is brake key (active low) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON6 ) PORT_PLAYER(1)	/* 3 for brake [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON8 ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_PLAYER(1)	/* main brake key */
  
  	PORT_START      /* IN1 */
! 	PORT_BIT( 0x01, IP_ACTIVE_LOW,  IPT_BUTTON3 ) PORT_PLAYER(1)	/* nitro */
  	PORT_BIT( 0x02, IP_ACTIVE_LOW,  IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_LOW,  IPT_TILT )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW,  IPT_START1 )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_PLAYER(1)	/* gear shift lo/hi */
  	/* Next bit is accel key (active low/high, depends on cab DSW) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON5 ) PORT_PLAYER(1)	/* 3 for accel [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON7 ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_PLAYER(1)	/* main accel key */
  
  	PORT_START      /* IN2, unused */
  
--- 574,600 ----
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_COIN1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW,  IPT_SERVICE1 )
  	/* Next bit is brake key (active low) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)	/* 3 for brake [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_PLAYER(1) PORT_NAME("Brake")	/* main brake key */
  
  	PORT_START      /* IN1 */
! 	PORT_BIT( 0x01, IP_ACTIVE_LOW,  IPT_BUTTON3 ) PORT_PLAYER(1) PORT_NAME("Nitro")	/* nitro */
  	PORT_BIT( 0x02, IP_ACTIVE_LOW,  IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_LOW,  IPT_TILT )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW,  IPT_START1 )
! 	
! if(options.geartype==0)	
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! else if(options.geartype==1)	
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON4 ) PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! else if(options.geartype==2)
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON4 ) PORT_TOGGLE PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! 
  	/* Next bit is accel key (active low/high, depends on cab DSW) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)	/* 3 for accel [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_PLAYER(1) PORT_NAME("Accelerator")	/* main accel key */
  
  	PORT_START      /* IN2, unused */
  
***************
*** 596,611 ****
         an analogue wheel, the user will need to adjust this. */
  
  	PORT_START	/* continuous steer */
! 	PORT_BIT( 0xffff, 0x00, IPT_AD_STICK_X ) PORT_MINMAX(0xff7f,0x80) PORT_SENSITIVITY(10) PORT_KEYDELTA(2) PORT_PLAYER(1)
  
  	PORT_START      /* fake, allowing digital steer */
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_JOYSTICK_LEFT ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_JOYSTICK_RIGHT ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_JOYSTICK_UP ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_JOYSTICK_DOWN ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_DIPNAME( 0x10, 0x10, "Steering type" )
! 	PORT_DIPSETTING(    0x10, "Digital" )
! 	PORT_DIPSETTING(    0x00, "Analogue" )
  INPUT_PORTS_END
  
  INPUT_PORTS_START( topspedu )
--- 603,618 ----
         an analogue wheel, the user will need to adjust this. */
  
  	PORT_START	/* continuous steer */
! 	PORT_BIT( 0xffff, 0x00, IPT_AD_STICK_X ) PORT_MINMAX(0xff7f,0x80) PORT_SENSITIVITY(10) PORT_KEYDELTA(2) PORT_PLAYER(1) PORT_NAME("Steering")
  
  	PORT_START      /* fake, allowing digital steer */
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_DIPNAME( 0x00, 0x10, "Steering type" )
! 	PORT_DIPSETTING(    0x10, "Analogue" )
! 	PORT_DIPSETTING(    0x00, "Digital" )
  INPUT_PORTS_END
  
  INPUT_PORTS_START( topspedu )
***************
*** 647,666 ****
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_COIN1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW,  IPT_SERVICE1 )
  	/* Next bit is brake key (active low) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON6 ) PORT_PLAYER(1)	/* 3 for brake [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON8 ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_PLAYER(1)	/* main brake key */
  
  	PORT_START      /* IN1 */
! 	PORT_BIT( 0x01, IP_ACTIVE_LOW,  IPT_BUTTON3 ) PORT_PLAYER(1)	/* nitro */
  	PORT_BIT( 0x02, IP_ACTIVE_LOW,  IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_LOW,  IPT_TILT )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW,  IPT_START1 )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_PLAYER(1)	/* gear shift lo/hi */
  	/* Next bit is accel key (active low/high, depends on cab DSW) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON5 ) PORT_PLAYER(1)	/* 3 for accel [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON7 ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_PLAYER(1)	/* main accel key */
  
  	PORT_START      /* IN2, unused */
  
--- 654,680 ----
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_COIN1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW,  IPT_SERVICE1 )
  	/* Next bit is brake key (active low) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)	/* 3 for brake [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_PLAYER(1) PORT_NAME("Brake")	/* main brake key */
  
  	PORT_START      /* IN1 */
! 	PORT_BIT( 0x01, IP_ACTIVE_LOW,  IPT_BUTTON3 ) PORT_PLAYER(1) PORT_NAME("Nitro")	/* nitro */
  	PORT_BIT( 0x02, IP_ACTIVE_LOW,  IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_LOW,  IPT_TILT )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW,  IPT_START1 )
! 	
! if(options.geartype==0)	
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! else if(options.geartype==1)	
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON4 ) PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! else if(options.geartype==2)
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_TOGGLE PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */	
! 
  	/* Next bit is accel key (active low/high, depends on cab DSW) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_PLAYER(1)	/* 3 for accel [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_PLAYER(1) PORT_NAME("Accelerator")	/* main accel key */
  
  	PORT_START      /* IN2, unused */
  
***************
*** 669,684 ****
         an analogue wheel, the user will need to adjust this. */
  
  	PORT_START	/* continuous steer */
! 	PORT_BIT( 0xffff, 0x00, IPT_AD_STICK_X ) PORT_MINMAX(0xff7f,0x80) PORT_SENSITIVITY(10) PORT_KEYDELTA(2) PORT_PLAYER(1)
  
  	PORT_START      /* fake, allowing digital steer */
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_JOYSTICK_LEFT ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_JOYSTICK_RIGHT ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_JOYSTICK_UP ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_JOYSTICK_DOWN ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_DIPNAME( 0x10, 0x10, "Steering type" )
! 	PORT_DIPSETTING(    0x10, "Digital" )
  	PORT_DIPSETTING(    0x00, "Analogue" )
  INPUT_PORTS_END
  
  INPUT_PORTS_START( fullthrl )
--- 683,698 ----
         an analogue wheel, the user will need to adjust this. */
  
  	PORT_START	/* continuous steer */
! 	PORT_BIT( 0xffff, 0x00, IPT_AD_STICK_X ) PORT_MINMAX(0xff7f,0x80) PORT_SENSITIVITY(10) PORT_KEYDELTA(2) PORT_PLAYER(1) PORT_NAME("Steering")
  
  	PORT_START      /* fake, allowing digital steer */
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_DIPNAME( 0x00, 0x10, "Steering type" )
  	PORT_DIPSETTING(    0x00, "Analogue" )
+ 	PORT_DIPSETTING(    0x10, "Digital" )
  INPUT_PORTS_END
  
  INPUT_PORTS_START( fullthrl )
***************
*** 720,739 ****
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_COIN1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW,  IPT_SERVICE1 )
  	/* Next bit is brake key (active low) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON6 ) PORT_PLAYER(1)	/* 3 for brake [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON8 ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_PLAYER(1)	/* main brake key */
  
  	PORT_START      /* IN1 */
! 	PORT_BIT( 0x01, IP_ACTIVE_LOW,  IPT_BUTTON3 ) PORT_PLAYER(1)	/* nitro */
  	PORT_BIT( 0x02, IP_ACTIVE_LOW,  IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_LOW,  IPT_TILT )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW,  IPT_START1 )
! 	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_PLAYER(1)	/* gear shift lo/hi */
  	/* Next bit is accel key (active low/high, depends on cab DSW) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON5 ) PORT_PLAYER(1)	/* 3 for accel [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_BUTTON7 ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_PLAYER(1)	/* main accel key */
  
  	PORT_START      /* IN2, unused */
  
--- 734,760 ----
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_COIN1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW,  IPT_SERVICE1 )
  	/* Next bit is brake key (active low) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_PLAYER(1)	/* 3 for brake [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_PLAYER(1) PORT_NAME("Brake")	/* main brake key */
  
  	PORT_START      /* IN1 */
! 	PORT_BIT( 0x01, IP_ACTIVE_LOW,  IPT_BUTTON3 ) PORT_PLAYER(1) PORT_NAME("Nitro")	/* nitro */
  	PORT_BIT( 0x02, IP_ACTIVE_LOW,  IPT_UNKNOWN )
  	PORT_BIT( 0x04, IP_ACTIVE_LOW,  IPT_TILT )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW,  IPT_START1 )
! 	
! if(options.geartype==0)	
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! else if(options.geartype==1)	
! {PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_BUTTON4 ) PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! else if(options.geartype==2)
! {PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_BUTTON4 ) PORT_TOGGLE PORT_PLAYER(1) PORT_NAME("Gear Shift");}	/* gear shift lo/hi */
! 
  	/* Next bit is accel key (active low/high, depends on cab DSW) for non-cockpit */
! 	PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)	/* 3 for accel [7 levels] */
! 	PORT_BIT( 0x40, IP_ACTIVE_HIGH, IPT_UNUSED ) PORT_PLAYER(1)
! 	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_BUTTON1 ) PORT_PLAYER(1) PORT_NAME("Accelerator")	/* main accel key */
  
  	PORT_START      /* IN2, unused */
  
***************
*** 742,757 ****
         an analogue wheel, the user will need to adjust this. */
  
  	PORT_START	/* continuous steer */
! 	PORT_BIT( 0xffff, 0x00, IPT_AD_STICK_X ) PORT_MINMAX(0xff7f,0x80) PORT_SENSITIVITY(10) PORT_KEYDELTA(2) PORT_PLAYER(1)
  
  	PORT_START      /* fake, allowing digital steer */
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_JOYSTICK_LEFT ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_JOYSTICK_RIGHT ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_JOYSTICK_UP ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_JOYSTICK_DOWN ) PORT_8WAY PORT_PLAYER(1)
! 	PORT_DIPNAME( 0x10, 0x10, "Steering type" )
! 	PORT_DIPSETTING(    0x10, "Digital" )
  	PORT_DIPSETTING(    0x00, "Analogue" )
  INPUT_PORTS_END
  
  
--- 763,778 ----
         an analogue wheel, the user will need to adjust this. */
  
  	PORT_START	/* continuous steer */
! 	PORT_BIT( 0xffff, 0x00, IPT_AD_STICK_X ) PORT_MINMAX(0xff7f,0x80) PORT_SENSITIVITY(10) PORT_KEYDELTA(2) PORT_PLAYER(1) PORT_NAME("Steering")
  
  	PORT_START      /* fake, allowing digital steer */
! 	PORT_BIT( 0x01, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x02, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x04, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_8WAY PORT_PLAYER(1)
! 	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_UNUSED) PORT_8WAY PORT_PLAYER(1)
! 	PORT_DIPNAME( 0x00, 0x10, "Steering type" )
  	PORT_DIPSETTING(    0x00, "Analogue" )
+ 	PORT_DIPSETTING(    0x10, "Digital" )
  INPUT_PORTS_END
  
  
diff -crB c:\mame0106s\mame0106s\src/drivers/wecleman.c c:\mingw9\mame\src/drivers/wecleman.c
*** c:\mame0106s\mame0106s\src/drivers/wecleman.c	Wed May 10 21:43:14 2006
--- c:\mingw9\mame\src/drivers/wecleman.c	Fri Mar 23 20:42:39 2012
***************
*** 834,840 ****
  	PORT_SERVICE_NO_TOGGLE( 0x04, IP_ACTIVE_HIGH )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_SERVICE1 )
  	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_START1 )
! 	PORT_BIT(0x20, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_NAME("Shift") PORT_TOGGLE
  	PORT_BIT(0x40, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake")
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNUSED )
  
--- 834,847 ----
  	PORT_SERVICE_NO_TOGGLE( 0x04, IP_ACTIVE_HIGH )
  	PORT_BIT( 0x08, IP_ACTIVE_HIGH, IPT_SERVICE1 )
  	PORT_BIT( 0x10, IP_ACTIVE_HIGH, IPT_START1 )
! 	
! if(options.geartype==0)	
! {PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_BUTTON3 ) PORT_NAME("Gear Shift");}	/* gear */
! else if(options.geartype==1)	
! {PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_NAME("Gear Shift");}	/* gear */
! else if(options.geartype==2)
! {PORT_BIT(0x20, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_NAME("Gear Shift") PORT_TOGGLE ;}	/* gear */
! 
  	PORT_BIT(0x40, IP_ACTIVE_HIGH, IPT_BUTTON2 ) PORT_NAME("Brake")
  	PORT_BIT( 0x80, IP_ACTIVE_HIGH, IPT_UNUSED )
  
***************
*** 906,915 ****
  	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
  
  	PORT_START	/* IN4 - Accelerator - $140021.b (0) */
! 	PORT_BIT( 0xff, 0, IPT_PEDAL ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10)
  
  	PORT_START	/* IN5 - Steering Wheel - $140021.b (2) */
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(5)
  INPUT_PORTS_END
  
  
--- 913,922 ----
  	PORT_DIPSETTING(    0x00, DEF_STR( On ) )
  
  	PORT_START	/* IN4 - Accelerator - $140021.b (0) */
! 	PORT_BIT( 0xff, 0, IPT_PEDAL ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10) PORT_NAME("Accelerator")
  
  	PORT_START	/* IN5 - Steering Wheel - $140021.b (2) */
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0x20,0xe0) PORT_SENSITIVITY(100) PORT_KEYDELTA(4) PORT_NAME("Steering")
  INPUT_PORTS_END
  
  
***************
*** 924,930 ****
  	PORT_SERVICE_NO_TOGGLE( 0x04, IP_ACTIVE_LOW )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_SERVICE1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_START1 )
! 	PORT_BIT(0x20, IP_ACTIVE_LOW, IPT_BUTTON3 ) PORT_NAME("Shift") PORT_TOGGLE
  	PORT_BIT(0x40, IP_ACTIVE_LOW, IPT_BUTTON2 ) PORT_NAME("Brake")
  	PORT_BIT( 0x80, IP_ACTIVE_LOW, IPT_UNUSED )
  
--- 931,944 ----
  	PORT_SERVICE_NO_TOGGLE( 0x04, IP_ACTIVE_LOW )
  	PORT_BIT( 0x08, IP_ACTIVE_LOW, IPT_SERVICE1 )
  	PORT_BIT( 0x10, IP_ACTIVE_LOW, IPT_START1 )
! 	
! if(options.geartype==0)	
! {PORT_BIT( 0x20, IP_ACTIVE_LOW, IPT_BUTTON3 ) PORT_NAME("Gear Shift");}	/* gear */
! else if(options.geartype==1)	
! {PORT_BIT( 0x20, IP_ACTIVE_HIGH, IPT_BUTTON3 ) PORT_NAME("Gear Shift");}	/* gear */
! else if(options.geartype==2)	
! {PORT_BIT(0x20, IP_ACTIVE_LOW, IPT_BUTTON3 ) PORT_NAME("Gear Shift") PORT_TOGGLE ;}	/* gear */
! 
  	PORT_BIT(0x40, IP_ACTIVE_LOW, IPT_BUTTON2 ) PORT_NAME("Brake")
  	PORT_BIT( 0x80, IP_ACTIVE_LOW, IPT_UNUSED )
  
***************
*** 997,1006 ****
  	PORT_DIPSETTING(    0x00, "1 Coin/99 Credits" )
  
  	PORT_START	/* IN4 - Accelerator - $140021.b (0) */
! 	PORT_BIT( 0xff, 0, IPT_PEDAL ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10)
  
  	PORT_START	/* IN5 - Steering Wheel - $140021.b (2) */
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(5)
  INPUT_PORTS_END
  
  
--- 1011,1020 ----
  	PORT_DIPSETTING(    0x00, "1 Coin/99 Credits" )
  
  	PORT_START	/* IN4 - Accelerator - $140021.b (0) */
! 	PORT_BIT( 0xff, 0, IPT_PEDAL ) PORT_MINMAX(0,0x80) PORT_SENSITIVITY(30) PORT_KEYDELTA(10) PORT_NAME("Accelerator")
  
  	PORT_START	/* IN5 - Steering Wheel - $140021.b (2) */
! 	PORT_BIT( 0xff, 0x80, IPT_PADDLE ) PORT_MINMAX(0,0xff) PORT_SENSITIVITY(50) PORT_KEYDELTA(5) PORT_NAME("Steering")
  INPUT_PORTS_END
  
  
